package com.plexworlds.l3.vectors;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;
import java.util.stream.Stream;

public class FileLoader {

	public static List<String> getAllFileNames(String rootDir) throws IOException {
		try (Stream<Path> paths = Files.walk(Paths.get(rootDir))) {
			return paths
				.filter(Files::isRegularFile)
				.map(Path::toAbsolutePath)
				.map(Path::toString)
				.toList();
		}
	}
}
